Subject: Re: bug#9925: 24.0.91; Maxmized, minimize, restore: emacs window hides under taskbar

From: Rolf Campbell <[email-masked]>
Date: Fri, 25 May 2012 12:20:39 -0400

On 2011-10-31 16:45, Rolf Campbell wrote:
> This bug report will be sent to the Bug-GNU-Emacs mailing list
> and the GNU bug tracker at debbugs.gnu.org.  Please check that
> the From: line contains a valid email address.  After a delay of up
> to one day, you should receive an acknowledgement at that address.
>  
> Please write in English if possible, as the Emacs maintainers
> usually do not have translators for other languages.
>  
> Please describe exactly what actions triggered the bug, and
> the precise symptoms of the bug.  If you can, give a recipe
> starting from `emacs -Q':
>  
> 1) Move Windows XP taskbar to left side of screen.
> 1) Run "emacs -Q"
> 2) Click the maximize button (in the window title bar).
> 3) Click the minimize button (in the window title bar).
> 4) Click the emacs taskbar button.
> 
> Expected Result:
> Emacs window should be in the same position as it was after step #2.
> 
> Actual Result:
> Emacs window is shoved to the left-hand edge of the screen, partly obscured behind the taskbar.
> 
> The strange thing about this is that I have 2 Windows XP systems which I've tried this exact recipe (with the same version of Emacs), and I can only reproduce this problem on one of them (this one).
> 
> Searching found this bug report from more than 10 years ago complaining about the same thing: http://lists.gnu.org/archive/html/bug-gnu-emacs/2001-05/msg00022.html
> 
> This is not a new bug, I was able to reproduce on v23.1 and v23.3.
> 
> ------------------------
>  
> If Emacs crashed, and you have the Emacs process in the gdb debugger,
> please include the output from the following gdb commands:
>     `bt full' and `xbacktrace'.
> For information about debugging Emacs, please read the file
> c:/Program Files/emacs-24.0.91/etc/DEBUG.
>  
> 
> In GNU Emacs 24.0.91.1 (i386-mingw-nt5.1.2600)
>  of 2011-10-30 on MARVIN
> Windowing system distributor `Microsoft Corp.', version 5.1.2600
> configured using `configure --with-gcc (4.6) --no-opt --cflags -I"D:/devel/emacs/libs/libXpm-3.5.8/include" -I"D:/devel/emacs/libs/libXpm-3.5.8/src" -I"D:/devel/emacs/libs/libpng-dev_1.4.3-1/include" -I"D:/devel/emacs/libs/zlib-dev_1.2.5-2/include" -I"D:/devel/emacs/libs/giflib-4.1.4-1/include" -I"D:/devel/emacs/libs/jpeg-6b-4/include" -I"D:/devel/emacs/libs/tiff-3.8.2-1/include" -I"D:/devel/emacs/libs/gnutls-2.10.1/include" --ldflags -L"D:/devel/emacs/libs/gnutls-2.10.1/lib"'
>  
> Important settings:
>   value of $LC_ALL: nil
>   value of $LC_COLLATE: nil
>   value of $LC_CTYPE: nil
>   value of $LC_MESSAGES: nil
>   value of $LC_MONETARY: nil
>   value of $LC_NUMERIC: nil
>   value of $LC_TIME: nil
>   value of $LANG: ENU
>   value of $XMODIFIERS: nil
>   locale-coding-system: cp1252
>   default enable-multibyte-characters: t
>  
> Major mode: Fundamental
>  
> Minor modes in effect:
>   shell-dirtrack-mode: t
>   pc-selection-mode: t
>   show-paren-mode: t
>   delete-selection-mode: t
>   auto-insert-mode: t
>   tooltip-mode: t
>   mouse-wheel-mode: t
>   menu-bar-mode: t
>   file-name-shadow-mode: t
>   global-font-lock-mode: t
>   blink-cursor-mode: t
>   auto-composition-mode: t
>   auto-encryption-mode: t
>   auto-compression-mode: t
>   column-number-mode: t
>   line-number-mode: t
>   transient-mark-mode: t
>  
> Recent input:
> <lwindow> <help-echo> <help-echo> <help-echo> <help-echo> 
> <help-echo> <help-echo> <help-echo> <help-echo> <help-echo> 
> <help-echo> <help-echo> <help-echo> <help-echo> <help-echo> 
> <menu-bar> <help-menu> <about-emacs> <help-echo> <help-echo> 
> <lwindow> <lwindow> <lwindow> <lwindow> <help-echo> 
> <lwindow> <help-echo> M-x r e p o r t <tab> <retur
> n>
>  
> Recent messages:
> Loading autoinsert...done
> Loading delsel...done
> Loading grep...done
> Loading paren...done
> Fill column set to 77 (was 70)
> For information about GNU Emacs and the GNU system, type C-h C-a.
> Package pc-select is obsolete!
> For information about GNU Emacs and the GNU system, type C-h C-a.
>  
> Load-path shadows:
> None found.
>  
> Features:
> (shadow sort gnus-util mail-extr message format-spec rfc822 mml mml-sec
> mm-decode mm-bodies mm-encode mail-parse rfc2231 rfc2047 rfc2045
> ietf-drums mm-util mail-prsvr mailabbrev mail-utils gmm-utils mailheader
> emacsbug etags ido ffap python-21 python easymenu tex-mode shell
> pcomplete skeleton edmacro kmacro pc-select paren grep compile comint
> regexp-opt ring delsel autoinsert cus-start cus-load time-date tooltip
> ediff-hook vc-hooks lisp-float-type mwheel dos-w32 disp-table ls-lisp
> w32-win w32-vars tool-bar dnd fontset image fringe lisp-mode register
> page menu-bar rfn-eshadow timer select scroll-bar mouse jit-lock
> font-lock syntax facemenu font-core frame cham georgian utf-8-lang
> misc-lang vietnamese tibetan thai tai-viet lao korean japanese hebrew
> greek romanian slovak czech european ethiopic indian cyrillic chinese
> case-table epa-hook jka-cmpr-hook help simple abbrev minibuffer button
> faces cus-face files text-properties overlay sha1 md5 base64 format env
> code-pages mule custom widget hashtable-print-readable backquote
> make-network-process multi-tty emacs)

I testing this issue on Windows 7 and got the same results.  This is not
limited to Windows XP.